org.springframework.messaging.converter

## Class ByteArrayMessageConverter

- java.lang.Object
- - org.springframework.messaging.converter.AbstractMessageConverter
  - - org.springframework.messaging.converter.ByteArrayMessageConverter

- All Implemented Interfaces:
    MessageConverter, SmartMessageConverter

      public class ByteArrayMessageConverter
      extends AbstractMessageConverter

  A `MessageConverter` that supports MIME type "application/octet-stream" with the payload converted to and from a byte[].
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Field Summary

    - ### Fields inherited from class org.springframework.messaging.converter.AbstractMessageConverter

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayMessageConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `convertFromInternal(Message<?> message, Class<?> targetClass, Object conversionHint)` Convert the message payload from serialized form to an Object.
    `protected Object` | `convertToInternal(Object payload, MessageHeaders headers, Object conversionHint)` Convert the payload object to serialized form.
    `protected boolean` | `supports(Class<?> clazz)` Whether the given class is supported by this converter.

    - ### Methods inherited from class org.springframework.messaging.converter.AbstractMessageConverter

      `addSupportedMimeTypes, canConvertFrom, canConvertTo, fromMessage, fromMessage, getContentTypeResolver, getDefaultContentType, getMimeType, getSerializedPayloadClass, getSupportedMimeTypes, isStrictContentTypeMatch, setContentTypeResolver, setSerializedPayloadClass, setStrictContentTypeMatch, supportsMimeType, toMessage, toMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayMessageConverter

          public ByteArrayMessageConverter()

  - ### Method Detail

    - #### supports

          protected boolean supports(Class<?> clazz)

      Description copied from class: `AbstractMessageConverter`
      Whether the given class is supported by this converter.
      Specified by:
        `supports` in class `AbstractMessageConverter`
      Parameters:
        `clazz` - the class to test for support
      Returns:
        `true` if supported; `false` otherwise

    - #### convertFromInternal

          @Nullable
          protected Object convertFromInternal(Message<?> message,
                                                         @Nullable
                                                         Class<?> targetClass,
                                                         @Nullable
                                                         Object conversionHint)

      Description copied from class: `AbstractMessageConverter`
      Convert the message payload from serialized form to an Object.
      Overrides:
        `convertFromInternal` in class `AbstractMessageConverter`
      Parameters:
        `message` - the input message
        `targetClass` - the target class for the conversion
        `conversionHint` - an extra object passed to the `MessageConverter`, e.g. the associated `MethodParameter` (may be `null`}
      Returns:
        the result of the conversion, or `null` if the converter cannot perform the conversion

    - #### convertToInternal

          @Nullable
          protected Object convertToInternal(Object payload,
                                                       @Nullable
                                                       MessageHeaders headers,
                                                       @Nullable
                                                       Object conversionHint)

      Description copied from class: `AbstractMessageConverter`
      Convert the payload object to serialized form.
      Overrides:
        `convertToInternal` in class `AbstractMessageConverter`
      Parameters:
        `payload` - the Object to convert
        `headers` - optional headers for the message (may be `null`)
        `conversionHint` - an extra object passed to the `MessageConverter`, e.g. the associated `MethodParameter` (may be `null`}
      Returns:
        the resulting payload for the message, or `null` if the converter cannot perform the conversion